package public

import (
	pubmodel "dorisbot/database/models/public"
)

// CommandDAO -
type CommandDAO interface {
	Create(c *pubmodel.Command) error
	Delete(key, platform, binding string) error
	GetByKey(key string) ([]pubmodel.Command, error)
	GetByKeyPlatform(key, platform string) ([]pubmodel.Command, error)
	GetByKeyPlatformBinding(key, platform, binding string) ([]pubmodel.Command, error)
	GetByPlatformBinding(platform, binding string) ([]pubmodel.Command, error)
	GetByKeyBinding(key, binding string) ([]pubmodel.Command, error)
}
